2012年5月14日

[ruby-list:48744] Re: railsがCentOSにインストールできない

長永と申します。

環境構築、とくに最初のインストールは、慣れるまではなかなかうまくいかないものです。
つまり慣れるしかないので、一回でうまくいかなくてもあまり気にせず、最初からやり直すのがよいと思います。
さくらの VPS なら OS の再インストールも可能なので、どうしてもわからなくなったら OS
のインストールからやり直すのが、遠回りのようで実は近道だったりします。

RVM のインストール方法は、いろいろな方がブログ等で公開しています (スマートフォンからなのでリンクがおかしかったらすいません)

http://www.google.co.jp/search?hl=ja&site=&source=hp&q=rvm+%E3%82%A4%E3%83%B3%E3%82%B9%E3%83%88%E3%83%BC%E3%83%AB&oq=rvm+%E3%82%A4%E3%83%B3%E3%82%B9%E3%83%88%E3%83%BC%E3%83%AB&aq=f&aqi=g5&aql=&gs_l=mobile-gws-hp.12..0l5.272.2319.0.3264.7.5.0.0.0.0.805.805.6-1.1.0...0.0.

お使いの環境とは少しずつ違う部分があったりして、そのまま真似してもうまくいかないかもしれませんが、失敗を重ねるうちに徐々にコツがわかってきますし、
RVM を削除すれば最初からやり直せますので、うまくいく手順が見つかるまで、いくつか試してみるのをおすすめします。

RVM の導入がなかなか難しいのは確かですが、それに比べて圧倒的に簡単なやり方があるわけではないのが難しいところです。
rbenv, ruby-build なども、コツがわかる人にとっては RVM より扱いやすいのですが、 Rails
を初めてインストールする人にとっては同じように難しいので、どちらでも自分の好きなほうを選んで良いと思います。すでに RVM
にチャレンジしているのですから、 RVM でうまくいくまで頑張るのも悪くないかと。
2012/05/14 18:58 "岩倉玲音" <a.iwakuralain@xxxxx>:

> 初めまして岩倉玲音ともうします。初めてメーリングリストという物を使うので何か間違い等あればご指摘ください。
>
> railsの質問です。スレチの場合はご指摘ください。
>
> 現在「桜VPS」上にSSHを使ってアクセスし、railsをインストールしようとしているのですがうまくいきません。
> 環境を書かせていただきます。現在の環境としてはrvmをインストールして、そこからruby1.9.3をインストール。その後、gem install
> railsといった流れです。
> OS:CentOS release 5.8
> ruby -v:1.9.3p194
> rvm -v :1.13.4
> gem -list:
> actionmailer (3.2.3)
> actionpack (3.2.3)
> activemodel (3.2.3)
> activerecord (3.2.3)
> activeresource (3.2.3)
> activesupport (3.2.3)
> arel (3.0.2)
> builder (3.0.0)
> bundle (0.0.1)
> bundler (1.1.3)
> erubis (2.7.0)
> hike (1.2.1)
> i18n (0.6.0)
> journey (1.0.3)
> json (1.7.1)
> mail (2.4.4)
> mime-types (1.18)
> multi_json (1.3.4)
> polyglot (0.3.3)
> rack (1.4.1)
> rack-cache (1.2)
> rack-ssl (1.3.2)
> rack-test (0.6.1)
> rails (3.2.3)
> railties (3.2.3)
> rake (0.9.2.2)
> rdoc (3.12)
> rubygems-bundler (0.9.2)
> rvm (1.11.3.3)
> sprockets (2.1.3)
> thor (0.14.6)
> tilt (1.3.3)
> treetop (1.4.10)
> tzinfo (0.3.33)
>
> rvm list:
> rvm rubies
> =* ruby-1.9.3-p194 [ x86_64 ]
>
> 次にエラーについて書かせていただきます。
> 実行コマンド:/home/ユーザ名/.rvm/gems/ruby-1.9.3-p194/bin/rails -v
>
> エラーログ:/home/ユーザ名/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/dependency.rb:247:in
> `to_specs': Could not find railties (>= 0) amongst [bigdecimal-1.1.0,
> io-console-0.3, json-1.5.4, minitest-2.5.1, rake-0.9.2.2, rdoc-3.9.4]
> (Gem::LoadError)
> from
>
> /home/ユーザ名/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/dependency.rb:256:in
> `to_spec'
> from
>
> /home/ユーザ名/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems.rb:1231:in
> `gem'
> from /home/ユーザ名/.rvm/gems/ruby-1.9.3-p194/bin/rails:18:in `<main>'
> なぜ直接binからたたいているかというと、「rails」とうっても「command not found」がでるからです。
>
> 次に私がこのエラーがおこる環境を構築するまえに行った行動をかかせていただきます。
> rubyをソースから直接インストール。
> 上記のアンインストール(これはwhich ruby で出たパスにあるファイルを削除することでアンインストールと定義します)。
> gemからのrailsインストール。
> 上記のアンインストール。
> rvmのインストール。
> 上記のアンインストール(rvm implodeとwhichからのファイル削除)。
> なぜこんなことをしたかというと、様々な方法でrailsの起動を試していたためです。
>
> 以上です。何かお気づきの点がございましたら、ご回答ください。
>

投稿者 xml-rpc : 2012年5月14日 22:55
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/110422
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。